/
List Concepts
Get a list of concepts. Concepts can be sorted by fields:
id,version,advertiser_id,name,status,archived,created_on,updated_on,advertiser_nameand queried by fields:id,version,advertiser_id,name,status,archived,created_on,updated_on,advertiser_name,organization_id,agency_id.
Security
Auth0(Required scopes: offline_accessmanage:services)
Query search for filtering. This parameter can be used to filter results based on various fields. Supported operators:
==- numeric equality or case-sensitive string identity,==(1,2,3)- IN query (only works for integers),!=- numeric inequality or case-sensitive string non-identity,=:- case-insensitive match, allows substring using * wildcards,!:- case-insensitive non-match ("does not contain"), allows substring using * wildcards; rows where the field is NULL are excluded,<- less than,<=- less than or equal to,>- greater than,>=- greater than or equal to. Examples:q=name=:{search}*to find all results with names starting with {search}.- Numeric
q=id=:*123*searches are treated as exact primary-key matches, equivalent toq=id==123; likewiseq=id!:*123*is equivalent toq=id!=123. q=name!:*promo*to exclude all results whose name contains "promo".q=status==trueto find all active entities.q=id>=1000to find all entities with id greater than or equal to 1000.q=id==(1,2,3)to find specific entities by ID.q=created_on>1999-02-02orq=created_on>1999-02-02T00:00:00Zto find entities created later than date.q=id>5&status==trueto find all active entities with id greater than 5.
Optional filter by media type. If provided only concepts with at least one atomic creative with requested type will be returned. Can be used with one or several types: 'audio', 'display', 'native', 'video'. If filter have several types, they will be applied using OR logic.
Example:media_type=display,native
- Live Serverhttps://api.mediamath.com/api/v3.0/concepts
curl -i -X GET \
'https://api.mediamath.com/api/v3.0/concepts?page_limit=100&page_offset=0&sort_by=id%2C%20-id%2C%20name%2C%20-name&q=string&full=*&media_type=display%2Cnative' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "data": [ { … } ], "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }